cabal-version:      3.8
name:               byg
version:            0.1.0.0
synopsis:           The website builder for mad
license:            AGPL-3.0-or-later
license-file:       COPYING
author:             Niels G. W. Serup
maintainer:         ngws@metanohi.name
build-type:         Simple
extra-doc-files:    README.md

common common
    ghc-options: -Wall
    default-language: GHC2021
    default-extensions:
      OverloadedStrings
      LambdaCase

library
    import: common
    hs-source-dirs: src
    exposed-modules:
        Byg.Types
        Byg.DependencyGenerator
        Byg.Functions
        Byg.DependencyFormatter
        Byg.DependencyRunner
    other-modules:
        Byg.Types.Token
        Byg.Types.Value
        Byg.Types.Functions
        Byg.Types.Dependency
        Byg.Types.Date
        Byg.Functions.Image
        Byg.Functions.Pandoc
        Byg.Functions.Paths
        Byg.Functions.Template
        Byg.Functions.Text
        Byg.Functions.Date
        Byg.Functions.Atom
    build-depends:
        base >=4.14 && <4.20
      , mtl
      , containers
      , text
      , directory
      , time
      , blaze-html
      , pandoc-types
      , pandoc
      , JuicyPixels
      , JuicyPixels-stbir

executable byg
    import: common
    hs-source-dirs: app
    main-is: Main.hs
    other-modules:
        SiteGenerator
    build-depends:
        base >=4.14 && <4.20
      , byg
      , text
